Home | History | Annotate | Line # | Download | only in html
      1 /* The standard CSS for doxygen 1.9.1 */
      2 
      3 body, table, div, p, dl {
      4 	font: 400 14px/22px Roboto,sans-serif;
      5 }
      6 
      7 p.reference, p.definition {
      8 	font: 400 14px/22px Roboto,sans-serif;
      9 }
     10 
     11 /* @group Heading Levels */
     12 
     13 h1.groupheader {
     14 	font-size: 150%;
     15 }
     16 
     17 .title {
     18 	font: 400 14px/28px Roboto,sans-serif;
     19 	font-size: 150%;
     20 	font-weight: bold;
     21 	margin: 10px 2px;
     22 }
     23 
     24 h2.groupheader {
     25 	border-bottom: 1px solid #879ECB;
     26 	color: #354C7B;
     27 	font-size: 150%;
     28 	font-weight: normal;
     29 	margin-top: 1.75em;
     30 	padding-top: 8px;
     31 	padding-bottom: 4px;
     32 	width: 100%;
     33 }
     34 
     35 h3.groupheader {
     36 	font-size: 100%;
     37 }
     38 
     39 h1, h2, h3, h4, h5, h6 {
     40 	-webkit-transition: text-shadow 0.5s linear;
     41 	-moz-transition: text-shadow 0.5s linear;
     42 	-ms-transition: text-shadow 0.5s linear;
     43 	-o-transition: text-shadow 0.5s linear;
     44 	transition: text-shadow 0.5s linear;
     45 	margin-right: 15px;
     46 }
     47 
     48 h1.glow, h2.glow, h3.glow, h4.glow, h5.glow, h6.glow {
     49 	text-shadow: 0 0 15px cyan;
     50 }
     51 
     52 dt {
     53 	font-weight: bold;
     54 }
     55 
     56 ul.multicol {
     57 	-moz-column-gap: 1em;
     58 	-webkit-column-gap: 1em;
     59 	column-gap: 1em;
     60 	-moz-column-count: 3;
     61 	-webkit-column-count: 3;
     62 	column-count: 3;
     63 }
     64 
     65 p.startli, p.startdd {
     66 	margin-top: 2px;
     67 }
     68 
     69 th p.starttd, th p.intertd, th p.endtd {
     70         font-size: 100%;
     71         font-weight: 700;
     72 }
     73 
     74 p.starttd {
     75 	margin-top: 0px;
     76 }
     77 
     78 p.endli {
     79 	margin-bottom: 0px;
     80 }
     81 
     82 p.enddd {
     83 	margin-bottom: 4px;
     84 }
     85 
     86 p.endtd {
     87 	margin-bottom: 2px;
     88 }
     89 
     90 p.interli {
     91 }
     92 
     93 p.interdd {
     94 }
     95 
     96 p.intertd {
     97 }
     98 
     99 /* @end */
    100 
    101 caption {
    102 	font-weight: bold;
    103 }
    104 
    105 span.legend {
    106 	font-size: 70%;
    107 	text-align: center;
    108 }
    109 
    110 h3.version {
    111 	font-size: 90%;
    112 	text-align: center;
    113 }
    114 
    115 div.navtab {
    116 	border-right: 1px solid #A3B4D7;
    117 	padding-right: 15px;
    118 	text-align: right;
    119 	line-height: 110%;
    120 }
    121 
    122 div.navtab table {
    123 	border-spacing: 0;
    124 }
    125 
    126 td.navtab {
    127 	padding-right: 6px;
    128 	padding-left: 6px;
    129 }
    130 td.navtabHL {
    131 	background-image: url('tab_a.png');
    132 	background-repeat:repeat-x;
    133 	padding-right: 6px;
    134 	padding-left: 6px;
    135 }
    136 
    137 td.navtabHL a, td.navtabHL a:visited {
    138 	color: #fff;
    139 	text-shadow: 0px 1px 1px rgba(0, 0, 0, 1.0);
    140 }
    141 
    142 a.navtab {
    143 	font-weight: bold;
    144 }
    145 
    146 div.qindex{
    147 	text-align: center;
    148 	width: 100%;
    149 	line-height: 140%;
    150 	font-size: 130%;
    151 	color: #A0A0A0;
    152 }
    153 
    154 dt.alphachar{
    155 	font-size: 180%;
    156 	font-weight: bold;
    157 }
    158 
    159 .alphachar a{
    160 	color: black;
    161 }
    162 
    163 .alphachar a:hover, .alphachar a:visited{
    164 	text-decoration: none;
    165 }
    166 
    167 .classindex dl {
    168 	padding: 25px;
    169 	column-count:1
    170 }
    171 
    172 .classindex dd {
    173 	display:inline-block;
    174 	margin-left: 50px;
    175 	width: 90%;
    176 	line-height: 1.15em;
    177 }
    178 
    179 .classindex dl.odd {
    180 	background-color: #F8F9FC;
    181 }
    182 
    183 @media(min-width: 1120px) {
    184 	.classindex dl {
    185 		column-count:2
    186 	}
    187 }
    188 
    189 @media(min-width: 1320px) {
    190 	.classindex dl {
    191 		column-count:3
    192 	}
    193 }
    194 
    195 
    196 /* @group Link Styling */
    197 
    198 a {
    199 	color: #3D578C;
    200 	font-weight: normal;
    201 	text-decoration: none;
    202 }
    203 
    204 .contents a:visited {
    205 	color: #4665A2;
    206 }
    207 
    208 a:hover {
    209 	text-decoration: underline;
    210 }
    211 
    212 .contents a.qindexHL:visited {
    213         color: #FFFFFF;
    214 }
    215 
    216 a.el {
    217 	font-weight: bold;
    218 }
    219 
    220 a.elRef {
    221 }
    222 
    223 a.code, a.code:visited, a.line, a.line:visited {
    224 	color: #4665A2;
    225 }
    226 
    227 a.codeRef, a.codeRef:visited, a.lineRef, a.lineRef:visited {
    228 	color: #4665A2;
    229 }
    230 
    231 /* @end */
    232 
    233 dl.el {
    234 	margin-left: -1cm;
    235 }
    236 
    237 ul {
    238   overflow: hidden; /*Fixed: list item bullets overlap floating elements*/
    239 }
    240 
    241 #side-nav ul {
    242   overflow: visible; /* reset ul rule for scroll bar in GENERATE_TREEVIEW window */
    243 }
    244 
    245 #main-nav ul {
    246   overflow: visible; /* reset ul rule for the navigation bar drop down lists */
    247 }
    248 
    249 .fragment {
    250   text-align: left;
    251   direction: ltr;
    252   overflow-x: auto; /*Fixed: fragment lines overlap floating elements*/
    253   overflow-y: hidden;
    254 }
    255 
    256 pre.fragment {
    257         border: 1px solid #C4CFE5;
    258         background-color: #FBFCFD;
    259         padding: 4px 6px;
    260         margin: 4px 8px 4px 2px;
    261         overflow: auto;
    262         word-wrap: break-word;
    263         font-size:  9pt;
    264         line-height: 125%;
    265         font-family: monospace, fixed;
    266         font-size: 105%;
    267 }
    268 
    269 div.fragment {
    270   padding: 0 0 1px 0; /*Fixed: last line underline overlap border*/
    271   margin: 4px 8px 4px 2px;
    272 	background-color: #FBFCFD;
    273 	border: 1px solid #C4CFE5;
    274 }
    275 
    276 div.line {
    277 	font-family: monospace, fixed;
    278         font-size: 13px;
    279 	min-height: 13px;
    280 	line-height: 1.0;
    281 	text-wrap: unrestricted;
    282 	white-space: -moz-pre-wrap; /* Moz */
    283 	white-space: -pre-wrap;     /* Opera 4-6 */
    284 	white-space: -o-pre-wrap;   /* Opera 7 */
    285 	white-space: pre-wrap;      /* CSS3  */
    286 	word-wrap: break-word;      /* IE 5.5+ */
    287 	text-indent: -53px;
    288 	padding-left: 53px;
    289 	padding-bottom: 0px;
    290 	margin: 0px;
    291 	-webkit-transition-property: background-color, box-shadow;
    292 	-webkit-transition-duration: 0.5s;
    293 	-moz-transition-property: background-color, box-shadow;
    294 	-moz-transition-duration: 0.5s;
    295 	-ms-transition-property: background-color, box-shadow;
    296 	-ms-transition-duration: 0.5s;
    297 	-o-transition-property: background-color, box-shadow;
    298 	-o-transition-duration: 0.5s;
    299 	transition-property: background-color, box-shadow;
    300 	transition-duration: 0.5s;
    301 }
    302 
    303 div.line:after {
    304     content:"\000A";
    305     white-space: pre;
    306 }
    307 
    308 div.line.glow {
    309 	background-color: cyan;
    310 	box-shadow: 0 0 10px cyan;
    311 }
    312 
    313 
    314 span.lineno {
    315 	padding-right: 4px;
    316 	text-align: right;
    317 	border-right: 2px solid #0F0;
    318 	background-color: #E8E8E8;
    319         white-space: pre;
    320 }
    321 span.lineno a {
    322 	background-color: #D8D8D8;
    323 }
    324 
    325 span.lineno a:hover {
    326 	background-color: #C8C8C8;
    327 }
    328 
    329 .lineno {
    330 	-webkit-touch-callout: none;
    331 	-webkit-user-select: none;
    332 	-khtml-user-select: none;
    333 	-moz-user-select: none;
    334 	-ms-user-select: none;
    335 	user-select: none;
    336 }
    337 
    338 div.ah, span.ah {
    339 	background-color: black;
    340 	font-weight: bold;
    341 	color: #FFFFFF;
    342 	margin-bottom: 3px;
    343 	margin-top: 3px;
    344 	padding: 0.2em;
    345 	border: solid thin #333;
    346 	border-radius: 0.5em;
    347 	-webkit-border-radius: .5em;
    348 	-moz-border-radius: .5em;
    349 	box-shadow: 2px 2px 3px #999;
    350 	-webkit-box-shadow: 2px 2px 3px #999;
    351 	-moz-box-shadow: rgba(0, 0, 0, 0.15) 2px 2px 2px;
    352 	background-image: -webkit-gradient(linear, left top, left bottom, from(#eee), to(#000),color-stop(0.3, #444));
    353 	background-image: -moz-linear-gradient(center top, #eee 0%, #444 40%, #000 110%);
    354 }
    355 
    356 div.classindex ul {
    357         list-style: none;
    358         padding-left: 0;
    359 }
    360 
    361 div.classindex span.ai {
    362         display: inline-block;
    363 }
    364 
    365 div.groupHeader {
    366 	margin-left: 16px;
    367 	margin-top: 12px;
    368 	font-weight: bold;
    369 }
    370 
    371 div.groupText {
    372 	margin-left: 16px;
    373 	font-style: italic;
    374 }
    375 
    376 body {
    377 	background-color: white;
    378 	color: black;
    379         margin: 0;
    380 }
    381 
    382 div.contents {
    383 	margin-top: 10px;
    384 	margin-left: 12px;
    385 	margin-right: 8px;
    386 }
    387 
    388 td.indexkey {
    389 	background-color: #EBEFF6;
    390 	font-weight: bold;
    391 	border: 1px solid #C4CFE5;
    392 	margin: 2px 0px 2px 0;
    393 	padding: 2px 10px;
    394         white-space: nowrap;
    395         vertical-align: top;
    396 }
    397 
    398 td.indexvalue {
    399 	background-color: #EBEFF6;
    400 	border: 1px solid #C4CFE5;
    401 	padding: 2px 10px;
    402 	margin: 2px 0px;
    403 }
    404 
    405 tr.memlist {
    406 	background-color: #EEF1F7;
    407 }
    408 
    409 p.formulaDsp {
    410 	text-align: center;
    411 }
    412 
    413 img.formulaDsp {
    414 
    415 }
    416 
    417 img.formulaInl, img.inline {
    418 	vertical-align: middle;
    419 }
    420 
    421 div.center {
    422 	text-align: center;
    423         margin-top: 0px;
    424         margin-bottom: 0px;
    425         padding: 0px;
    426 }
    427 
    428 div.center img {
    429 	border: 0px;
    430 }
    431 
    432 address.footer {
    433 	text-align: right;
    434 	padding-right: 12px;
    435 }
    436 
    437 img.footer {
    438 	border: 0px;
    439 	vertical-align: middle;
    440 }
    441 
    442 /* @group Code Colorization */
    443 
    444 span.keyword {
    445 	color: #008000
    446 }
    447 
    448 span.keywordtype {
    449 	color: #604020
    450 }
    451 
    452 span.keywordflow {
    453 	color: #e08000
    454 }
    455 
    456 span.comment {
    457 	color: #800000
    458 }
    459 
    460 span.preprocessor {
    461 	color: #806020
    462 }
    463 
    464 span.stringliteral {
    465 	color: #002080
    466 }
    467 
    468 span.charliteral {
    469 	color: #008080
    470 }
    471 
    472 span.vhdldigit {
    473 	color: #ff00ff
    474 }
    475 
    476 span.vhdlchar {
    477 	color: #000000
    478 }
    479 
    480 span.vhdlkeyword {
    481 	color: #700070
    482 }
    483 
    484 span.vhdllogic {
    485 	color: #ff0000
    486 }
    487 
    488 blockquote {
    489         background-color: #F7F8FB;
    490         border-left: 2px solid #9CAFD4;
    491         margin: 0 24px 0 4px;
    492         padding: 0 12px 0 16px;
    493 }
    494 
    495 blockquote.DocNodeRTL {
    496    border-left: 0;
    497    border-right: 2px solid #9CAFD4;
    498    margin: 0 4px 0 24px;
    499    padding: 0 16px 0 12px;
    500 }
    501 
    502 /* @end */
    503 
    504 /*
    505 .search {
    506 	color: #003399;
    507 	font-weight: bold;
    508 }
    509 
    510 form.search {
    511 	margin-bottom: 0px;
    512 	margin-top: 0px;
    513 }
    514 
    515 input.search {
    516 	font-size: 75%;
    517 	color: #000080;
    518 	font-weight: normal;
    519 	background-color: #e8eef2;
    520 }
    521 */
    522 
    523 td.tiny {
    524 	font-size: 75%;
    525 }
    526 
    527 .dirtab {
    528 	padding: 4px;
    529 	border-collapse: collapse;
    530 	border: 1px solid #A3B4D7;
    531 }
    532 
    533 th.dirtab {
    534 	background: #EBEFF6;
    535 	font-weight: bold;
    536 }
    537 
    538 hr {
    539 	height: 0px;
    540 	border: none;
    541 	border-top: 1px solid #4A6AAA;
    542 }
    543 
    544 hr.footer {
    545 	height: 1px;
    546 }
    547 
    548 /* @group Member Descriptions */
    549 
    550 table.memberdecls {
    551 	border-spacing: 0px;
    552 	padding: 0px;
    553 }
    554 
    555 .memberdecls td, .fieldtable tr {
    556 	-webkit-transition-property: background-color, box-shadow;
    557 	-webkit-transition-duration: 0.5s;
    558 	-moz-transition-property: background-color, box-shadow;
    559 	-moz-transition-duration: 0.5s;
    560 	-ms-transition-property: background-color, box-shadow;
    561 	-ms-transition-duration: 0.5s;
    562 	-o-transition-property: background-color, box-shadow;
    563 	-o-transition-duration: 0.5s;
    564 	transition-property: background-color, box-shadow;
    565 	transition-duration: 0.5s;
    566 }
    567 
    568 .memberdecls td.glow, .fieldtable tr.glow {
    569 	background-color: cyan;
    570 	box-shadow: 0 0 15px cyan;
    571 }
    572 
    573 .mdescLeft, .mdescRight,
    574 .memItemLeft, .memItemRight,
    575 .memTemplItemLeft, .memTemplItemRight, .memTemplParams {
    576 	background-color: #F9FAFC;
    577 	border: none;
    578 	margin: 4px;
    579 	padding: 1px 0 0 8px;
    580 }
    581 
    582 .mdescLeft, .mdescRight {
    583 	padding: 0px 8px 4px 8px;
    584 	color: #555;
    585 }
    586 
    587 .memSeparator {
    588         border-bottom: 1px solid #DEE4F0;
    589         line-height: 1px;
    590         margin: 0px;
    591         padding: 0px;
    592 }
    593 
    594 .memItemLeft, .memTemplItemLeft {
    595         white-space: nowrap;
    596 }
    597 
    598 .memItemRight, .memTemplItemRight {
    599 	width: 100%;
    600 }
    601 
    602 .memTemplParams {
    603 	color: #4665A2;
    604         white-space: nowrap;
    605 	font-size: 80%;
    606 }
    607 
    608 /* @end */
    609 
    610 /* @group Member Details */
    611 
    612 /* Styles for detailed member documentation */
    613 
    614 .memtitle {
    615 	padding: 8px;
    616 	border-top: 1px solid #A8B8D9;
    617 	border-left: 1px solid #A8B8D9;
    618 	border-right: 1px solid #A8B8D9;
    619 	border-top-right-radius: 4px;
    620 	border-top-left-radius: 4px;
    621 	margin-bottom: -1px;
    622 	background-image: url('nav_f.png');
    623 	background-repeat: repeat-x;
    624 	background-color: #E2E8F2;
    625 	line-height: 1.25;
    626 	font-weight: 300;
    627 	float:left;
    628 }
    629 
    630 .permalink
    631 {
    632         font-size: 65%;
    633         display: inline-block;
    634         vertical-align: middle;
    635 }
    636 
    637 .memtemplate {
    638 	font-size: 80%;
    639 	color: #4665A2;
    640 	font-weight: normal;
    641 	margin-left: 9px;
    642 }
    643 
    644 .memnav {
    645 	background-color: #EBEFF6;
    646 	border: 1px solid #A3B4D7;
    647 	text-align: center;
    648 	margin: 2px;
    649 	margin-right: 15px;
    650 	padding: 2px;
    651 }
    652 
    653 .mempage {
    654 	width: 100%;
    655 }
    656 
    657 .memitem {
    658 	padding: 0;
    659 	margin-bottom: 10px;
    660 	margin-right: 5px;
    661         -webkit-transition: box-shadow 0.5s linear;
    662         -moz-transition: box-shadow 0.5s linear;
    663         -ms-transition: box-shadow 0.5s linear;
    664         -o-transition: box-shadow 0.5s linear;
    665         transition: box-shadow 0.5s linear;
    666         display: table !important;
    667         width: 100%;
    668 }
    669 
    670 .memitem.glow {
    671          box-shadow: 0 0 15px cyan;
    672 }
    673 
    674 .memname {
    675         font-weight: 400;
    676         margin-left: 6px;
    677 }
    678 
    679 .memname td {
    680 	vertical-align: bottom;
    681 }
    682 
    683 .memproto, dl.reflist dt {
    684         border-top: 1px solid #A8B8D9;
    685         border-left: 1px solid #A8B8D9;
    686         border-right: 1px solid #A8B8D9;
    687         padding: 6px 0px 6px 0px;
    688         color: #253555;
    689         font-weight: bold;
    690         text-shadow: 0px 1px 1px rgba(255, 255, 255, 0.9);
    691         background-color: #DFE5F1;
    692         /* opera specific markup */
    693         box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.15);
    694         border-top-right-radius: 4px;
    695         /* firefox specific markup */
    696         -moz-box-shadow: rgba(0, 0, 0, 0.15) 5px 5px 5px;
    697         -moz-border-radius-topright: 4px;
    698         /* webkit specific markup */
    699         -webkit-box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.15);
    700         -webkit-border-top-right-radius: 4px;
    701 
    702 }
    703 
    704 .overload {
    705         font-family: "courier new",courier,monospace;
    706 	font-size: 65%;
    707 }
    708 
    709 .memdoc, dl.reflist dd {
    710         border-bottom: 1px solid #A8B8D9;
    711         border-left: 1px solid #A8B8D9;
    712         border-right: 1px solid #A8B8D9;
    713         padding: 6px 10px 2px 10px;
    714         background-color: #FBFCFD;
    715         border-top-width: 0;
    716         background-image:url('nav_g.png');
    717         background-repeat:repeat-x;
    718         background-color: #FFFFFF;
    719         /* opera specific markup */
    720         border-bottom-left-radius: 4px;
    721         border-bottom-right-radius: 4px;
    722         box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.15);
    723         /* firefox specific markup */
    724         -moz-border-radius-bottomleft: 4px;
    725         -moz-border-radius-bottomright: 4px;
    726         -moz-box-shadow: rgba(0, 0, 0, 0.15) 5px 5px 5px;
    727         /* webkit specific markup */
    728         -webkit-border-bottom-left-radius: 4px;
    729         -webkit-border-bottom-right-radius: 4px;
    730         -webkit-box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.15);
    731 }
    732 
    733 dl.reflist dt {
    734         padding: 5px;
    735 }
    736 
    737 dl.reflist dd {
    738         margin: 0px 0px 10px 0px;
    739         padding: 5px;
    740 }
    741 
    742 .paramkey {
    743 	text-align: right;
    744 }
    745 
    746 .paramtype {
    747 	white-space: nowrap;
    748 }
    749 
    750 .paramname {
    751 	color: #602020;
    752 	white-space: nowrap;
    753 }
    754 .paramname em {
    755 	font-style: normal;
    756 }
    757 .paramname code {
    758         line-height: 14px;
    759 }
    760 
    761 .params, .retval, .exception, .tparams {
    762         margin-left: 0px;
    763         padding-left: 0px;
    764 }
    765 
    766 .params .paramname, .retval .paramname, .tparams .paramname, .exception .paramname {
    767         font-weight: bold;
    768         vertical-align: top;
    769 }
    770 
    771 .params .paramtype, .tparams .paramtype {
    772         font-style: italic;
    773         vertical-align: top;
    774 }
    775 
    776 .params .paramdir, .tparams .paramdir {
    777         font-family: "courier new",courier,monospace;
    778         vertical-align: top;
    779 }
    780 
    781 table.mlabels {
    782 	border-spacing: 0px;
    783 }
    784 
    785 td.mlabels-left {
    786 	width: 100%;
    787 	padding: 0px;
    788 }
    789 
    790 td.mlabels-right {
    791 	vertical-align: bottom;
    792 	padding: 0px;
    793 	white-space: nowrap;
    794 }
    795 
    796 span.mlabels {
    797         margin-left: 8px;
    798 }
    799 
    800 span.mlabel {
    801         background-color: #728DC1;
    802         border-top:1px solid #5373B4;
    803         border-left:1px solid #5373B4;
    804         border-right:1px solid #C4CFE5;
    805         border-bottom:1px solid #C4CFE5;
    806 	text-shadow: none;
    807 	color: white;
    808 	margin-right: 4px;
    809 	padding: 2px 3px;
    810 	border-radius: 3px;
    811 	font-size: 7pt;
    812 	white-space: nowrap;
    813 	vertical-align: middle;
    814 }
    815 
    816 
    817 
    818 /* @end */
    819 
    820 /* these are for tree view inside a (index) page */
    821 
    822 div.directory {
    823         margin: 10px 0px;
    824         border-top: 1px solid #9CAFD4;
    825         border-bottom: 1px solid #9CAFD4;
    826         width: 100%;
    827 }
    828 
    829 .directory table {
    830         border-collapse:collapse;
    831 }
    832 
    833 .directory td {
    834         margin: 0px;
    835         padding: 0px;
    836 	vertical-align: top;
    837 }
    838 
    839 .directory td.entry {
    840         white-space: nowrap;
    841         padding-right: 6px;
    842 	padding-top: 3px;
    843 }
    844 
    845 .directory td.entry a {
    846         outline:none;
    847 }
    848 
    849 .directory td.entry a img {
    850         border: none;
    851 }
    852 
    853 .directory td.desc {
    854         width: 100%;
    855         padding-left: 6px;
    856 	padding-right: 6px;
    857 	padding-top: 3px;
    858 	border-left: 1px solid rgba(0,0,0,0.05);
    859 }
    860 
    861 .directory tr.even {
    862 	padding-left: 6px;
    863 	background-color: #F7F8FB;
    864 }
    865 
    866 .directory img {
    867 	vertical-align: -30%;
    868 }
    869 
    870 .directory .levels {
    871         white-space: nowrap;
    872         width: 100%;
    873         text-align: right;
    874         font-size: 9pt;
    875 }
    876 
    877 .directory .levels span {
    878         cursor: pointer;
    879         padding-left: 2px;
    880         padding-right: 2px;
    881 	color: #3D578C;
    882 }
    883 
    884 .arrow {
    885     color: #9CAFD4;
    886     -webkit-user-select: none;
    887     -khtml-user-select: none;
    888     -moz-user-select: none;
    889     -ms-user-select: none;
    890     user-select: none;
    891     cursor: pointer;
    892     font-size: 80%;
    893     display: inline-block;
    894     width: 16px;
    895     height: 22px;
    896 }
    897 
    898 .icon {
    899     font-family: Arial, Helvetica;
    900     font-weight: bold;
    901     font-size: 12px;
    902     height: 14px;
    903     width: 16px;
    904     display: inline-block;
    905     background-color: #728DC1;
    906     color: white;
    907     text-align: center;
    908     border-radius: 4px;
    909     margin-left: 2px;
    910     margin-right: 2px;
    911 }
    912 
    913 .icona {
    914     width: 24px;
    915     height: 22px;
    916     display: inline-block;
    917 }
    918 
    919 .iconfopen {
    920     width: 24px;
    921     height: 18px;
    922     margin-bottom: 4px;
    923     background-image:url('folderopen.png');
    924     background-position: 0px -4px;
    925     background-repeat: repeat-y;
    926     vertical-align:top;
    927     display: inline-block;
    928 }
    929 
    930 .iconfclosed {
    931     width: 24px;
    932     height: 18px;
    933     margin-bottom: 4px;
    934     background-image:url('folderclosed.png');
    935     background-position: 0px -4px;
    936     background-repeat: repeat-y;
    937     vertical-align:top;
    938     display: inline-block;
    939 }
    940 
    941 .icondoc {
    942     width: 24px;
    943     height: 18px;
    944     margin-bottom: 4px;
    945     background-image:url('doc.png');
    946     background-position: 0px -4px;
    947     background-repeat: repeat-y;
    948     vertical-align:top;
    949     display: inline-block;
    950 }
    951 
    952 table.directory {
    953     font: 400 14px Roboto,sans-serif;
    954 }
    955 
    956 /* @end */
    957 
    958 div.dynheader {
    959         margin-top: 8px;
    960 	-webkit-touch-callout: none;
    961 	-webkit-user-select: none;
    962 	-khtml-user-select: none;
    963 	-moz-user-select: none;
    964 	-ms-user-select: none;
    965 	user-select: none;
    966 }
    967 
    968 address {
    969 	font-style: normal;
    970 	color: #2A3D61;
    971 }
    972 
    973 table.doxtable caption {
    974 	caption-side: top;
    975 }
    976 
    977 table.doxtable {
    978 	border-collapse:collapse;
    979         margin-top: 4px;
    980         margin-bottom: 4px;
    981 }
    982 
    983 table.doxtable td, table.doxtable th {
    984 	border: 1px solid #2D4068;
    985 	padding: 3px 7px 2px;
    986 }
    987 
    988 table.doxtable th {
    989 	background-color: #374F7F;
    990 	color: #FFFFFF;
    991 	font-size: 110%;
    992 	padding-bottom: 4px;
    993 	padding-top: 5px;
    994 }
    995 
    996 table.fieldtable {
    997         /*width: 100%;*/
    998         margin-bottom: 10px;
    999         border: 1px solid #A8B8D9;
   1000         border-spacing: 0px;
   1001         -moz-border-radius: 4px;
   1002         -webkit-border-radius: 4px;
   1003         border-radius: 4px;
   1004         -moz-box-shadow: rgba(0, 0, 0, 0.15) 2px 2px 2px;
   1005         -webkit-box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.15);
   1006         box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.15);
   1007 }
   1008 
   1009 .fieldtable td, .fieldtable th {
   1010         padding: 3px 7px 2px;
   1011 }
   1012 
   1013 .fieldtable td.fieldtype, .fieldtable td.fieldname {
   1014         white-space: nowrap;
   1015         border-right: 1px solid #A8B8D9;
   1016         border-bottom: 1px solid #A8B8D9;
   1017         vertical-align: top;
   1018 }
   1019 
   1020 .fieldtable td.fieldname {
   1021         padding-top: 3px;
   1022 }
   1023 
   1024 .fieldtable td.fielddoc {
   1025         border-bottom: 1px solid #A8B8D9;
   1026         /*width: 100%;*/
   1027 }
   1028 
   1029 .fieldtable td.fielddoc p:first-child {
   1030         margin-top: 0px;
   1031 }
   1032 
   1033 .fieldtable td.fielddoc p:last-child {
   1034         margin-bottom: 2px;
   1035 }
   1036 
   1037 .fieldtable tr:last-child td {
   1038         border-bottom: none;
   1039 }
   1040 
   1041 .fieldtable th {
   1042         background-image:url('nav_f.png');
   1043         background-repeat:repeat-x;
   1044         background-color: #E2E8F2;
   1045         font-size: 90%;
   1046         color: #253555;
   1047         padding-bottom: 4px;
   1048         padding-top: 5px;
   1049         text-align:left;
   1050         font-weight: 400;
   1051         -moz-border-radius-topleft: 4px;
   1052         -moz-border-radius-topright: 4px;
   1053         -webkit-border-top-left-radius: 4px;
   1054         -webkit-border-top-right-radius: 4px;
   1055         border-top-left-radius: 4px;
   1056         border-top-right-radius: 4px;
   1057         border-bottom: 1px solid #A8B8D9;
   1058 }
   1059 
   1060 
   1061 .tabsearch {
   1062 	top: 0px;
   1063 	left: 10px;
   1064 	height: 36px;
   1065 	background-image: url('tab_b.png');
   1066 	z-index: 101;
   1067 	overflow: hidden;
   1068 	font-size: 13px;
   1069 }
   1070 
   1071 .navpath ul
   1072 {
   1073 	font-size: 11px;
   1074 	background-image:url('tab_b.png');
   1075 	background-repeat:repeat-x;
   1076 	background-position: 0 -5px;
   1077 	height:30px;
   1078 	line-height:30px;
   1079 	color:#8AA0CC;
   1080 	border:solid 1px #C2CDE4;
   1081 	overflow:hidden;
   1082 	margin:0px;
   1083 	padding:0px;
   1084 }
   1085 
   1086 .navpath li
   1087 {
   1088 	list-style-type:none;
   1089 	float:left;
   1090 	padding-left:10px;
   1091 	padding-right:15px;
   1092 	background-image:url('bc_s.png');
   1093 	background-repeat:no-repeat;
   1094 	background-position:right;
   1095 	color:#364D7C;
   1096 }
   1097 
   1098 .navpath li.navelem a
   1099 {
   1100 	height:32px;
   1101 	display:block;
   1102 	text-decoration: none;
   1103 	outline: none;
   1104 	color: #283A5D;
   1105 	font-family: 'Lucida Grande',Geneva,Helvetica,Arial,sans-serif;
   1106 	text-shadow: 0px 1px 1px rgba(255, 255, 255, 0.9);
   1107 	text-decoration: none;
   1108 }
   1109 
   1110 .navpath li.navelem a:hover
   1111 {
   1112 	color:#6884BD;
   1113 }
   1114 
   1115 .navpath li.footer
   1116 {
   1117         list-style-type:none;
   1118         float:right;
   1119         padding-left:10px;
   1120         padding-right:15px;
   1121         background-image:none;
   1122         background-repeat:no-repeat;
   1123         background-position:right;
   1124         color:#364D7C;
   1125         font-size: 8pt;
   1126 }
   1127 
   1128 
   1129 div.summary
   1130 {
   1131 	float: right;
   1132 	font-size: 8pt;
   1133 	padding-right: 5px;
   1134 	width: 50%;
   1135 	text-align: right;
   1136 }
   1137 
   1138 div.summary a
   1139 {
   1140 	white-space: nowrap;
   1141 }
   1142 
   1143 table.classindex
   1144 {
   1145         margin: 10px;
   1146         white-space: nowrap;
   1147         margin-left: 3%;
   1148         margin-right: 3%;
   1149         width: 94%;
   1150         border: 0;
   1151         border-spacing: 0;
   1152         padding: 0;
   1153 }
   1154 
   1155 div.ingroups
   1156 {
   1157 	font-size: 8pt;
   1158 	width: 50%;
   1159 	text-align: left;
   1160 }
   1161 
   1162 div.ingroups a
   1163 {
   1164 	white-space: nowrap;
   1165 }
   1166 
   1167 div.header
   1168 {
   1169         background-image:url('nav_h.png');
   1170         background-repeat:repeat-x;
   1171 	background-color: #F9FAFC;
   1172 	margin:  0px;
   1173 	border-bottom: 1px solid #C4CFE5;
   1174 }
   1175 
   1176 div.headertitle
   1177 {
   1178 	padding: 5px 5px 5px 10px;
   1179 }
   1180 
   1181 .PageDocRTL-title div.headertitle {
   1182   text-align: right;
   1183   direction: rtl;
   1184 }
   1185 
   1186 dl {
   1187         padding: 0 0 0 0;
   1188 }
   1189 
   1190 /* dl.note, dl.warning, dl.attention, dl.pre, dl.post, dl.invariant, dl.deprecated, dl.todo, dl.test, dl.bug, dl.examples */
   1191 dl.section {
   1192 	margin-left: 0px;
   1193 	padding-left: 0px;
   1194 }
   1195 
   1196 dl.section.DocNodeRTL {
   1197   margin-right: 0px;
   1198   padding-right: 0px;
   1199 }
   1200 
   1201 dl.note {
   1202   margin-left: -7px;
   1203   padding-left: 3px;
   1204   border-left: 4px solid;
   1205   border-color: #D0C000;
   1206 }
   1207 
   1208 dl.note.DocNodeRTL {
   1209   margin-left: 0;
   1210   padding-left: 0;
   1211   border-left: 0;
   1212   margin-right: -7px;
   1213   padding-right: 3px;
   1214   border-right: 4px solid;
   1215   border-color: #D0C000;
   1216 }
   1217 
   1218 dl.warning, dl.attention {
   1219   margin-left: -7px;
   1220   padding-left: 3px;
   1221   border-left: 4px solid;
   1222   border-color: #FF0000;
   1223 }
   1224 
   1225 dl.warning.DocNodeRTL, dl.attention.DocNodeRTL {
   1226   margin-left: 0;
   1227   padding-left: 0;
   1228   border-left: 0;
   1229   margin-right: -7px;
   1230   padding-right: 3px;
   1231   border-right: 4px solid;
   1232   border-color: #FF0000;
   1233 }
   1234 
   1235 dl.pre, dl.post, dl.invariant {
   1236   margin-left: -7px;
   1237   padding-left: 3px;
   1238   border-left: 4px solid;
   1239   border-color: #00D000;
   1240 }
   1241 
   1242 dl.pre.DocNodeRTL, dl.post.DocNodeRTL, dl.invariant.DocNodeRTL {
   1243   margin-left: 0;
   1244   padding-left: 0;
   1245   border-left: 0;
   1246   margin-right: -7px;
   1247   padding-right: 3px;
   1248   border-right: 4px solid;
   1249   border-color: #00D000;
   1250 }
   1251 
   1252 dl.deprecated {
   1253   margin-left: -7px;
   1254   padding-left: 3px;
   1255   border-left: 4px solid;
   1256   border-color: #505050;
   1257 }
   1258 
   1259 dl.deprecated.DocNodeRTL {
   1260   margin-left: 0;
   1261   padding-left: 0;
   1262   border-left: 0;
   1263   margin-right: -7px;
   1264   padding-right: 3px;
   1265   border-right: 4px solid;
   1266   border-color: #505050;
   1267 }
   1268 
   1269 dl.todo {
   1270   margin-left: -7px;
   1271   padding-left: 3px;
   1272   border-left: 4px solid;
   1273   border-color: #00C0E0;
   1274 }
   1275 
   1276 dl.todo.DocNodeRTL {
   1277   margin-left: 0;
   1278   padding-left: 0;
   1279   border-left: 0;
   1280   margin-right: -7px;
   1281   padding-right: 3px;
   1282   border-right: 4px solid;
   1283   border-color: #00C0E0;
   1284 }
   1285 
   1286 dl.test {
   1287   margin-left: -7px;
   1288   padding-left: 3px;
   1289   border-left: 4px solid;
   1290   border-color: #3030E0;
   1291 }
   1292 
   1293 dl.test.DocNodeRTL {
   1294   margin-left: 0;
   1295   padding-left: 0;
   1296   border-left: 0;
   1297   margin-right: -7px;
   1298   padding-right: 3px;
   1299   border-right: 4px solid;
   1300   border-color: #3030E0;
   1301 }
   1302 
   1303 dl.bug {
   1304   margin-left: -7px;
   1305   padding-left: 3px;
   1306   border-left: 4px solid;
   1307   border-color: #C08050;
   1308 }
   1309 
   1310 dl.bug.DocNodeRTL {
   1311   margin-left: 0;
   1312   padding-left: 0;
   1313   border-left: 0;
   1314   margin-right: -7px;
   1315   padding-right: 3px;
   1316   border-right: 4px solid;
   1317   border-color: #C08050;
   1318 }
   1319 
   1320 dl.section dd {
   1321 	margin-bottom: 6px;
   1322 }
   1323 
   1324 
   1325 #projectlogo
   1326 {
   1327 	text-align: center;
   1328 	vertical-align: bottom;
   1329 	border-collapse: separate;
   1330 }
   1331 
   1332 #projectlogo img
   1333 {
   1334 	border: 0px none;
   1335 }
   1336 
   1337 #projectalign
   1338 {
   1339         vertical-align: middle;
   1340 }
   1341 
   1342 #projectname
   1343 {
   1344 	font: 300% Tahoma, Arial,sans-serif;
   1345 	margin: 0px;
   1346 	padding: 2px 0px;
   1347 }
   1348 
   1349 #projectbrief
   1350 {
   1351 	font: 120% Tahoma, Arial,sans-serif;
   1352 	margin: 0px;
   1353 	padding: 0px;
   1354 }
   1355 
   1356 #projectnumber
   1357 {
   1358 	font: 50% Tahoma, Arial,sans-serif;
   1359 	margin: 0px;
   1360 	padding: 0px;
   1361 }
   1362 
   1363 #titlearea
   1364 {
   1365 	padding: 0px;
   1366 	margin: 0px;
   1367 	width: 100%;
   1368 	border-bottom: 1px solid #5373B4;
   1369 }
   1370 
   1371 .image
   1372 {
   1373         text-align: center;
   1374 }
   1375 
   1376 .dotgraph
   1377 {
   1378         text-align: center;
   1379 }
   1380 
   1381 .mscgraph
   1382 {
   1383         text-align: center;
   1384 }
   1385 
   1386 .plantumlgraph
   1387 {
   1388         text-align: center;
   1389 }
   1390 
   1391 .diagraph
   1392 {
   1393         text-align: center;
   1394 }
   1395 
   1396 .caption
   1397 {
   1398 	font-weight: bold;
   1399 }
   1400 
   1401 div.zoom
   1402 {
   1403 	border: 1px solid #90A5CE;
   1404 }
   1405 
   1406 dl.citelist {
   1407         margin-bottom:50px;
   1408 }
   1409 
   1410 dl.citelist dt {
   1411         color:#334975;
   1412         float:left;
   1413         font-weight:bold;
   1414         margin-right:10px;
   1415         padding:5px;
   1416         text-align:right;
   1417         width:52px;
   1418 }
   1419 
   1420 dl.citelist dd {
   1421         margin:2px 0 2px 72px;
   1422         padding:5px 0;
   1423 }
   1424 
   1425 div.toc {
   1426         padding: 14px 25px;
   1427         background-color: #F4F6FA;
   1428         border: 1px solid #D8DFEE;
   1429         border-radius: 7px 7px 7px 7px;
   1430         float: right;
   1431         height: auto;
   1432         margin: 0 8px 10px 10px;
   1433         width: 200px;
   1434 }
   1435 
   1436 .PageDocRTL-title div.toc {
   1437   float: left !important;
   1438   text-align: right;
   1439 }
   1440 
   1441 div.toc li {
   1442         background: url("bdwn.png") no-repeat scroll 0 5px transparent;
   1443         font: 10px/1.2 Verdana,DejaVu Sans,Geneva,sans-serif;
   1444         margin-top: 5px;
   1445         padding-left: 10px;
   1446         padding-top: 2px;
   1447 }
   1448 
   1449 .PageDocRTL-title div.toc li {
   1450   background-position-x: right !important;
   1451   padding-left: 0 !important;
   1452   padding-right: 10px;
   1453 }
   1454 
   1455 div.toc h3 {
   1456         font: bold 12px/1.2 Arial,FreeSans,sans-serif;
   1457 	color: #4665A2;
   1458         border-bottom: 0 none;
   1459         margin: 0;
   1460 }
   1461 
   1462 div.toc ul {
   1463         list-style: none outside none;
   1464         border: medium none;
   1465         padding: 0px;
   1466 }
   1467 
   1468 div.toc li.level1 {
   1469         margin-left: 0px;
   1470 }
   1471 
   1472 div.toc li.level2 {
   1473         margin-left: 15px;
   1474 }
   1475 
   1476 div.toc li.level3 {
   1477         margin-left: 30px;
   1478 }
   1479 
   1480 div.toc li.level4 {
   1481         margin-left: 45px;
   1482 }
   1483 
   1484 span.emoji {
   1485         /* font family used at the site: https://unicode.org/emoji/charts/full-emoji-list.html
   1486          * font-family: "Noto Color Emoji", "Apple Color Emoji", "Segoe UI Emoji", Times, Symbola, Aegyptus, Code2000, Code2001, Code2002, Musica, serif, LastResort;
   1487          */
   1488 }
   1489 
   1490 .PageDocRTL-title div.toc li.level1 {
   1491   margin-left: 0 !important;
   1492   margin-right: 0;
   1493 }
   1494 
   1495 .PageDocRTL-title div.toc li.level2 {
   1496   margin-left: 0 !important;
   1497   margin-right: 15px;
   1498 }
   1499 
   1500 .PageDocRTL-title div.toc li.level3 {
   1501   margin-left: 0 !important;
   1502   margin-right: 30px;
   1503 }
   1504 
   1505 .PageDocRTL-title div.toc li.level4 {
   1506   margin-left: 0 !important;
   1507   margin-right: 45px;
   1508 }
   1509 
   1510 .inherit_header {
   1511         font-weight: bold;
   1512         color: gray;
   1513         cursor: pointer;
   1514 	-webkit-touch-callout: none;
   1515 	-webkit-user-select: none;
   1516 	-khtml-user-select: none;
   1517 	-moz-user-select: none;
   1518 	-ms-user-select: none;
   1519 	user-select: none;
   1520 }
   1521 
   1522 .inherit_header td {
   1523         padding: 6px 0px 2px 5px;
   1524 }
   1525 
   1526 .inherit {
   1527         display: none;
   1528 }
   1529 
   1530 tr.heading h2 {
   1531         margin-top: 12px;
   1532         margin-bottom: 4px;
   1533 }
   1534 
   1535 /* tooltip related style info */
   1536 
   1537 .ttc {
   1538         position: absolute;
   1539         display: none;
   1540 }
   1541 
   1542 #powerTip {
   1543 	cursor: default;
   1544 	white-space: nowrap;
   1545 	background-color: white;
   1546 	border: 1px solid gray;
   1547 	border-radius: 4px 4px 4px 4px;
   1548 	box-shadow: 1px 1px 7px gray;
   1549 	display: none;
   1550 	font-size: smaller;
   1551 	max-width: 80%;
   1552 	opacity: 0.9;
   1553 	padding: 1ex 1em 1em;
   1554 	position: absolute;
   1555 	z-index: 2147483647;
   1556 }
   1557 
   1558 #powerTip div.ttdoc {
   1559         color: grey;
   1560 	font-style: italic;
   1561 }
   1562 
   1563 #powerTip div.ttname a {
   1564         font-weight: bold;
   1565 }
   1566 
   1567 #powerTip div.ttname {
   1568         font-weight: bold;
   1569 }
   1570 
   1571 #powerTip div.ttdeci {
   1572         color: #006318;
   1573 }
   1574 
   1575 #powerTip div {
   1576         margin: 0px;
   1577         padding: 0px;
   1578         font: 12px/16px Roboto,sans-serif;
   1579 }
   1580 
   1581 #powerTip:before, #powerTip:after {
   1582 	content: "";
   1583 	position: absolute;
   1584 	margin: 0px;
   1585 }
   1586 
   1587 #powerTip.n:after,  #powerTip.n:before,
   1588 #powerTip.s:after,  #powerTip.s:before,
   1589 #powerTip.w:after,  #powerTip.w:before,
   1590 #powerTip.e:after,  #powerTip.e:before,
   1591 #powerTip.ne:after, #powerTip.ne:before,
   1592 #powerTip.se:after, #powerTip.se:before,
   1593 #powerTip.nw:after, #powerTip.nw:before,
   1594 #powerTip.sw:after, #powerTip.sw:before {
   1595 	border: solid transparent;
   1596 	content: " ";
   1597 	height: 0;
   1598 	width: 0;
   1599 	position: absolute;
   1600 }
   1601 
   1602 #powerTip.n:after,  #powerTip.s:after,
   1603 #powerTip.w:after,  #powerTip.e:after,
   1604 #powerTip.nw:after, #powerTip.ne:after,
   1605 #powerTip.sw:after, #powerTip.se:after {
   1606 	border-color: rgba(255, 255, 255, 0);
   1607 }
   1608 
   1609 #powerTip.n:before,  #powerTip.s:before,
   1610 #powerTip.w:before,  #powerTip.e:before,
   1611 #powerTip.nw:before, #powerTip.ne:before,
   1612 #powerTip.sw:before, #powerTip.se:before {
   1613 	border-color: rgba(128, 128, 128, 0);
   1614 }
   1615 
   1616 #powerTip.n:after,  #powerTip.n:before,
   1617 #powerTip.ne:after, #powerTip.ne:before,
   1618 #powerTip.nw:after, #powerTip.nw:before {
   1619 	top: 100%;
   1620 }
   1621 
   1622 #powerTip.n:after, #powerTip.ne:after, #powerTip.nw:after {
   1623 	border-top-color: #FFFFFF;
   1624 	border-width: 10px;
   1625 	margin: 0px -10px;
   1626 }
   1627 #powerTip.n:before {
   1628 	border-top-color: #808080;
   1629 	border-width: 11px;
   1630 	margin: 0px -11px;
   1631 }
   1632 #powerTip.n:after, #powerTip.n:before {
   1633 	left: 50%;
   1634 }
   1635 
   1636 #powerTip.nw:after, #powerTip.nw:before {
   1637 	right: 14px;
   1638 }
   1639 
   1640 #powerTip.ne:after, #powerTip.ne:before {
   1641 	left: 14px;
   1642 }
   1643 
   1644 #powerTip.s:after,  #powerTip.s:before,
   1645 #powerTip.se:after, #powerTip.se:before,
   1646 #powerTip.sw:after, #powerTip.sw:before {
   1647 	bottom: 100%;
   1648 }
   1649 
   1650 #powerTip.s:after, #powerTip.se:after, #powerTip.sw:after {
   1651 	border-bottom-color: #FFFFFF;
   1652 	border-width: 10px;
   1653 	margin: 0px -10px;
   1654 }
   1655 
   1656 #powerTip.s:before, #powerTip.se:before, #powerTip.sw:before {
   1657 	border-bottom-color: #808080;
   1658 	border-width: 11px;
   1659 	margin: 0px -11px;
   1660 }
   1661 
   1662 #powerTip.s:after, #powerTip.s:before {
   1663 	left: 50%;
   1664 }
   1665 
   1666 #powerTip.sw:after, #powerTip.sw:before {
   1667 	right: 14px;
   1668 }
   1669 
   1670 #powerTip.se:after, #powerTip.se:before {
   1671 	left: 14px;
   1672 }
   1673 
   1674 #powerTip.e:after, #powerTip.e:before {
   1675 	left: 100%;
   1676 }
   1677 #powerTip.e:after {
   1678 	border-left-color: #FFFFFF;
   1679 	border-width: 10px;
   1680 	top: 50%;
   1681 	margin-top: -10px;
   1682 }
   1683 #powerTip.e:before {
   1684 	border-left-color: #808080;
   1685 	border-width: 11px;
   1686 	top: 50%;
   1687 	margin-top: -11px;
   1688 }
   1689 
   1690 #powerTip.w:after, #powerTip.w:before {
   1691 	right: 100%;
   1692 }
   1693 #powerTip.w:after {
   1694 	border-right-color: #FFFFFF;
   1695 	border-width: 10px;
   1696 	top: 50%;
   1697 	margin-top: -10px;
   1698 }
   1699 #powerTip.w:before {
   1700 	border-right-color: #808080;
   1701 	border-width: 11px;
   1702 	top: 50%;
   1703 	margin-top: -11px;
   1704 }
   1705 
   1706 @media print
   1707 {
   1708   #top { display: none; }
   1709   #side-nav { display: none; }
   1710   #nav-path { display: none; }
   1711   body { overflow:visible; }
   1712   h1, h2, h3, h4, h5, h6 { page-break-after: avoid; }
   1713   .summary { display: none; }
   1714   .memitem { page-break-inside: avoid; }
   1715   #doc-content
   1716   {
   1717     margin-left:0 !important;
   1718     height:auto !important;
   1719     width:auto !important;
   1720     overflow:inherit;
   1721     display:inline;
   1722   }
   1723 }
   1724 
   1725 /* @group Markdown */
   1726 
   1727 table.markdownTable {
   1728 	border-collapse:collapse;
   1729         margin-top: 4px;
   1730         margin-bottom: 4px;
   1731 }
   1732 
   1733 table.markdownTable td, table.markdownTable th {
   1734 	border: 1px solid #2D4068;
   1735 	padding: 3px 7px 2px;
   1736 }
   1737 
   1738 table.markdownTable tr {
   1739 }
   1740 
   1741 th.markdownTableHeadLeft, th.markdownTableHeadRight, th.markdownTableHeadCenter, th.markdownTableHeadNone {
   1742 	background-color: #374F7F;
   1743 	color: #FFFFFF;
   1744 	font-size: 110%;
   1745 	padding-bottom: 4px;
   1746 	padding-top: 5px;
   1747 }
   1748 
   1749 th.markdownTableHeadLeft, td.markdownTableBodyLeft {
   1750 	text-align: left
   1751 }
   1752 
   1753 th.markdownTableHeadRight, td.markdownTableBodyRight {
   1754 	text-align: right
   1755 }
   1756 
   1757 th.markdownTableHeadCenter, td.markdownTableBodyCenter {
   1758 	text-align: center
   1759 }
   1760 
   1761 .DocNodeRTL {
   1762   text-align: right;
   1763   direction: rtl;
   1764 }
   1765 
   1766 .DocNodeLTR {
   1767   text-align: left;
   1768   direction: ltr;
   1769 }
   1770 
   1771 table.DocNodeRTL {
   1772    width: auto;
   1773    margin-right: 0;
   1774    margin-left: auto;
   1775 }
   1776 
   1777 table.DocNodeLTR {
   1778    width: auto;
   1779    margin-right: auto;
   1780    margin-left: 0;
   1781 }
   1782 
   1783 tt, code, kbd, samp
   1784 {
   1785   display: inline-block;
   1786   direction:ltr;
   1787 }
   1788 /* @end */
   1789 
   1790 u {
   1791 	text-decoration: underline;
   1792 }
   1793 
   1794